Update Subscription Event

Use the endpoint to programmatically create a calendar subscription event and add it to one or more calendar subscriptions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API endpoint will update event details and update all calendar subscriptions that subscribe to this event. Associated Google subscriptions will be synced.
The response of 202 Accepted indicates that the response was successfully validated and has been accepted for processing.
Events are being updated in a background process, it can take up to few minutes for changes to propagate to subscribers' calendars.

🚧

This API endpoint requires that your application be authenticated via OAuth. You can learn how to authenticate your application here.

Event Details Model

ParameterTypeDescription
eventId

Required
StringA unique identifier for the event.
title

Required
StringSummary/Title of the event.
description

Optional
StringText that will appear in the events Description field.
location

Optional
StringText that will appear in the event Location field.
start

Required
DateTime (ISO 8601)Date and time the event will start in Timezone that it is occurs in.
end

Optional
DateTime (ISO 8601)Date and time the event will end in Timezone that it is occurs in.
timezone

Required
StringA Windows timezone identifier. Indicates the timezone that an event occurs in.
allDayEvent

Optional
BooleanIndicates if the event runs all day.
notifyBefore

Optional
NumberIndicates how many minutes before the event the subscriber should be notified.
Path Params
string
required

The Rokt Calendar merchant account code, or the subdomain of your Rokt Calendar dashboard URL.

Headers
string
Defaults to application/json
string
required

A Bearer token using your access token received via OAuth authentication

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
text/plain
application/json